#################################################
# load libraries, read in data                  #
#################################################
rm(list=ls())
library(dplyr)
library(psych)
library(tidyr)
library(lme4)
library(lmerTest)
library(MASS)
library(car)

#move data folder to desktop
setwd("~/Desktop/Data")

d = read.csv("heterogeneity_data.csv")

#########################################################
# means by condition                                    #
#########################################################

#should not differ if random assignment worked
d %>%
  group_by(cond) %>%
  summarise(mean = mean(total_match, na.rm=T),
            sd = sd(total_match, na.rm=T))

summary(lm(total_match ~ cond + study, data = d))

#########################################################
# regressions                                           #
#########################################################

summary(glm.nb(creative_count ~ total_match + study, data = d))
summary(glm.nb(creative_count ~ total_match + cond + study, data = d))
summary(glm.nb(creative_count ~ total_match*cond, data = d))