#################################################
# load libraries, read in data                  #
#################################################
rm(list=ls())
library(dplyr)
library(psych)
library(tidyr)
library(lme4)
library(lmerTest)
library(tidyverse)

#move data folder to desktop
setwd("~/Desktop/Data")

d = read.csv("screen_size_survey_data.csv")

#################################################
# demographics                                  #
#################################################

mean(d$age)
sd(d$age)
table(d$gender)

#################################################
# means                                         #
#################################################

#videoconferencing frequency
table(d$freq)
(40+54+81+38)/238 #at least once a week
(40+54)/238 #daily

#type of technology (laptop screen vs. monitor)
table(d$type)
113/238 #exclusively use laptop
mean(d$use_lap) #1 = use laptop at least half of the time, 0 = do not
16/238 #use external monitor exclusively 

mean(d$perc) #what percentage of time are people using a laptop screen?

#did screen depend on whether they work from home?
table(d$wfh, d$use_lap)
41/46
169/(169+23)
table(d$wfh)
210/238

#screensize
mean(d$laptop_1, na.rm=T)
table(d$our_study) #number of people who use a laptop the same size or smaller as our study
mean(d$monitor_1, na.rm=T)
