#########################################################
# load libraries, set working directory, read in data   #
#########################################################
rm(list=ls())
library(ggplot2)
library(dplyr)
library(tidyr)
library(effects)

#move data folder to desktop
setwd("~/Desktop/Data")

d_all_gen = read.csv("field_generation_data_with_exclusions.csv") #all data, including exclusions, to calculate session size
d_gen = read.csv("field_generation_data.csv")
d_gen$session = as.factor(d_gen$session)

#######################################################
# Organic Team Size Moderation in GD                  #
#######################################################

session_size = d_all_gen %>% mutate(num = 2) %>%
  group_by(country, session) %>%
  summarise(session_size = sum(num))

mean(session_size$session_size)
median(session_size$session_size)
range(session_size$session_size)

d.final = merge(d_gen, session_size, by = c("session","country"))

summary(lmer(idea_number ~ cond*session_size + country + (1|session), data=d.final))

d.final$session_size_small = d.final$session_size - 20
d.final$session_size_big = d.final$session_size - 90

summary(lmer(idea_number ~ cond*session_size_small + country + (1|session), data=d.final))
summary(lmer(idea_number ~ cond*session_size_big + country + (1|session), data=d.final))

plot(allEffects(lmer(idea_number ~ cond*session_size + country + (1|session), data=d.final)),multiline=T)